Solid Edge Assembly Type Library
Suppress Property
Description
Temporarily suppresses the referenced object.
Property type
Read-write property
Syntax
Visual Basic
Public Property Suppress As Boolean
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objOccurrences As SolidEdgeAssembly.Occurrences
    Dim objOccurrence As SolidEdgeAssembly.Occurrence
    Dim objGround As SolidEdgeAssembly.GroundRelation3d
    ' Local variables to be declared here
    Dim bSuppress As Boolean
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Get the Occurrences Collection of the Document
    Set objOccurrences = objDoc.Occurrences
    'Add a new Occurrence (part) to the AssemblyDocument.
    'This will be added with a GroundRelation.
    Set objOccurrence = objOccurrences.AddByFilename(OccurrenceFileName:=TESTFILE)
    'Get the GroundRelation3d of the Occurrence
    Set objGround = objOccurrence.Relations3d(1)
    'Get the Suppress state of the Groundrelation
    bSuppress = objGround.Suppress
    'Change the Suppress state of the Groudrelation
    objGround.Suppress = Not bSuppress
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objOccurrences = Nothing
    Set objOccurrence = Nothing
    Set objGround = Nothing
End Sub
See Also

GroundRelation3d Object  | GroundRelation3d Members

Send comments on this topic.